package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.User;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.*;

import java.util.List;

public interface InvoiceService {
    List<InvoiceListModel> queryList(InvoiceSearchModel inputModel);

    long queryCount(InvoiceSearchModel inputModel);

    ResultState doAdd(InvoiceAddModel inputmodel);

    UserModel userView(Long userId);

    InvoiceViewModel toDetail(Long id);
}
